﻿using UnityEngine;
using System.Collections;

public class CollisionManager : MonoBehaviour {

    AIMovement enemyAttackDetails;
    PlayerManager playerAttackDetails;

    int health;
    int damage;
    int playerHealth;
    int playerDamage;


    void Awake()
    {
        if (this.gameObject.tag == "PlayerKaDanda")
        {
            playerAttackDetails = this.gameObject.GetComponent<PlayerManager>();
            //playerHealth = playerAttackDetails.health;
            //playerDamage = playerAttackDetails.damage;
        }
        else
        {
            enemyAttackDetails = this.gameObject.GetComponent<AIMovement>();
        }
        
       
    }

    void FixedUpdate()
    {
        if (health <= 0)
        {
            if (this.gameObject.tag == "PlayerTeam")
                GameManager.Instance.playerCount--;
            else
                GameManager.Instance.enemyCount--;

            Destroy(this.gameObject);
        }
    }


    void OnTriggerEnter(Collider hit)
    {
        if (enemyAttackDetails.isAttacking && this.gameObject.tag == "EnemyTeam" && hit.gameObject.tag != "EnemyTeam")
        {
            //hit.gameObject.
        }

    }

}
