﻿using UnityEngine;
using UnityEngine.UI;
using System.Collections;
using DG.Tweening;

public class BattleCanvas : MonoBehaviour
{

    public Image Noise;

    public void StartNoise()
    {
        var color = Noise.color;
        Noise.color = new Color(color.r, color.g, color.b, 0.01f);
        var seq = DOTween.Sequence();
        seq.Append(Noise.DOFade(0.1f, 5).SetEase(Ease.InSine));
        seq.Append(Noise.DOFade(0.05f, 5).SetEase(Ease.OutSine));
        seq.SetLoops(-1);
    }
}
